import { request } from 'umi';

/** 设备类型列表  */
export async function GetDeviceTypePage(data) {
     return request(`/kitchen/api/Device/GetDeviceTypePage`, {
      method: 'POST',
      data: data,
    });
  }

  /** 添加设备类型  */
export async function AddDeviceType(data) {
    return request(`/kitchen/api/Device/AddDeviceType`, {
     method: 'POST',
     data: data,
     // params: { ...params },
     // ...(options || {}),
   });
 }

   /** 删除设备类型  */
export async function DelDeviceType(data) {
    return request(`​/kitchen/api/Device/DelDeviceType`, {
     method: 'POST',
     data: data,
   });
 }

   /** 修改设备类型  */
export async function UpdateDeviceType(data) {
    return request(`​/kitchen/api/Device/UpdateDeviceType`, {
     method: 'POST',
     data: data,
   });
 }

   /** 获取所有设备类型  */
 export async function GetDeviceType(data) {
  return request(`​/kitchen/api/Device/GetDeviceType`, {
   method: 'GET',
 });
}

